Page 1 of 1

V5.5_66: .NET framework version issue?

Posted: Mon Nov 20, 2017 7:10 pm
by lifeattickville
I'm trying to evaluate the 5.5_66 version but cannot install. It complains the necessary version of the .NET framework is not installed. Online, the requirements state the .NET framework V4.5 or later.

According to my control panel, I have the following .NET frameworks installed (cannot paste an image):

4.0.30319
4.5.50710
4.5.50932
4.5.51641
4.6.01590

Which ".NET Framework V4.5 or later" does .NET Memory profiler really need?

Re: V5.5_66: .NET framework version issue?

Posted: Tue Nov 21, 2017 1:57 pm
by Andreas Suurkuusk
The .NET frameworks you have installed on your machine should definitely work. Maybe there's some problem with the framework detection in the installer. Could you send us log files from the installer so that we can investigate this further? You can create the log-files by providing the -log argument to the installer, e.g.

Code: Select all

MemProfilerInstaller5_5_66.exe -l "c:\<directory path>\ProfilerInstallLog.txt"
This will create one or more log files with the name ProfilerInstallLog*.txt. Could you send us these files at support@scitech.se?

Re: V5.5_66: .NET framework version issue?

Posted: Wed Nov 22, 2017 7:35 pm
by lifeattickville
Working on doing so.

Being a little more specific, the VSIX Installer which is trying to install the extension to Visual Studio 2013 is the one complaining about the .NET Framework version.

Re: V5.5_66: .NET framework version issue?

Posted: Thu Nov 30, 2017 8:55 pm
by lifeattickville
In case my email got lost in the weeds, I'm attaching the log.

Re: V5.5_66: .NET framework version issue?

Posted: Fri Dec 01, 2017 3:51 pm
by Andreas Suurkuusk
Thank you for the log-files. As you mentioned, the logs indicate that there's a problem with the installation of the Visual Studio extension (the VSIX installer). Unfortunately the log file for the VSIX installer is not created in the specified directory. Instead it is stored in the temporary files directory. Can you try again and see if you can find the VSIX installer log file? It should be named something like "VSIXInstaller_xxxx.txt".

Do you have any additional information about your system? What operating system are you using, and which versions of Visual Studio are installed? I tried to reproduce this error with a fresh Windows 7 installation with only Visual Studio 2013 installed. However, the VSIX installation worked correctly in this configuration.

Re: V5.5_66: .NET framework version issue?

Posted: Sun Dec 10, 2017 6:08 pm
by lifeattickville
The system is running MS Windows 7 Pro, 6.1.7601 (Service Pack 1), 64-bit.

I've attached a ZIP file containing three files.
1. The VSIX install log.
2. The information from the VS2013 about box, showing versions and extensions.
3. A copy of the registry key showing .NET frameworks installed on the system.

I hope this helps.

Re: V5.5_66: .NET framework version issue?

Posted: Mon Dec 11, 2017 9:28 pm
by Andreas Suurkuusk
Thanks for the files. We have made a few changes to installer that hopefully solves your problem. We will make a new (in-official) release in a few days. I will reply to this post when the release is available.